summaryrefslogtreecommitdiffstats
path: root/knot/bin/knot-zone-reset
diff options
context:
space:
mode:
Diffstat (limited to 'knot/bin/knot-zone-reset')
-rwxr-xr-xknot/bin/knot-zone-reset53
1 files changed, 53 insertions, 0 deletions
diff --git a/knot/bin/knot-zone-reset b/knot/bin/knot-zone-reset
new file mode 100755
index 0000000..cc310b0
--- /dev/null
+++ b/knot/bin/knot-zone-reset
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+HOSTS="${*}"
+
+if [ -z "${HOSTS}" ]
+then
+ echo "Usage: ${0} localhost|[HOST1 HOST2 ...]" >&2
+ exit 1
+fi
+
+for HOST in ${HOSTS}
+do
+ case "${HOST}" in
+ localhost)
+ echo -n "Flushing zone memory..."
+
+ service knot stop
+ rm -rf /var/lib/knot/timers/*.mdb
+ service knot start
+
+ echo " done."
+ ;;
+
+ *)
+ echo -n "Flushing ${HOST} zone memory..."
+
+ ssh "${HOST}" "sudo service knot stop && rm -rf /var/lib/knot/timers/*.mdb && sudo service knot start"
+
+ echo " done."
+ ;;
+ esac
+done